Docs/Reference|5 min

API reference

Programmatic access to Outlix.


Authentication

Include your token in every request:

curl https://api.outlix.io/api/leads \
  -H "Authorization: Bearer YOUR_TOKEN"

Base URL

https://api.outlix.io/api

Key endpoints

Products

MethodEndpointDescription
GET/productsList products
POST/productsCreate product
GET/products/:idGet product
PUT/products/:idUpdate product
DELETE/products/:idDelete product

Leads

MethodEndpointDescription
GET/leadsList leads
POST/leadsCreate lead
GET/leads/:idGet lead
PUT/leads/:idUpdate lead
DELETE/leads/:idDelete lead

Drafts

MethodEndpointDescription
GET/draftsList drafts
POST/drafts/generateGenerate draft
POST/drafts/:id/approveApprove draft
POST/drafts/:id/rejectReject draft

Pain Cards

MethodEndpointDescription
GET/pain-cardsList pain cards
POST/pain-cardsCreate pain card
POST/pain-cards/:id/scoreScore pain card

Knowledge Base

MethodEndpointDescription
GET/knowledge/:product_idList documents
POST/knowledge/:product_id/uploadUpload document
DELETE/knowledge/:idDelete document

Response format

All responses are JSON:

{
  "items": [...],
  "total": 42
}

Error handling

Errors return appropriate HTTP status codes:

CodeMeaning
400Bad request (validation error)
401Unauthorized (invalid token)
403Forbidden (insufficient permissions)
404Not found
429Rate limited
500Server error

Rate limits

Requests are rate limited per organization. If you hit limits, you'll receive a 429 response with a Retry-After header.


Interactive docs

Full OpenAPI documentation available at:

https://api.outlix.io/docs

Related articles

Ready to try Outlix?

Start sending AI-powered emails today.